Create Customer

Learn how to create a customer using Pine Labs Online customer API.

Body Params
string

Mandatory if the country_code and mobile_number are not provided.

Enter a unique identifier for the customer request.

  • Minimum: 1 characters.
  • Maximum: 50 characters.
Example: 1234567890

Supported characters:
  • A-Z
  • a-z
  • 0-9
  • -
  • _

string

Customer's first name.

  • Minimum length: 1 character.
  • Maximum length: 50 characters.
Example: Kevin

Supported characters:
  • A-Z
  • a-z
  • 0-9
  • space
  • _
  • .
  • -

string

Customer's last name.

  • Minimum length: 1 character.
  • Maximum length: 50 characters.
Example: Bob

Supported characters:
  • A-Z
  • a-z
  • 0-9
  • space
  • _
  • .
  • -

string

Mandatory if the merchant_customer_reference is not provided.

Country code of the registered mobile number.

  • Maximum length: 5 characters.
  • No spaces, hyphens, or special characters are allowed.
Example: +91

Note: If the country code is not provided, it defaults to +91.

string

Mandatory if the merchant_customer_reference is not provided.

Customer's mobile number.

  • Minimum length: 10 character.
  • Maximum length: 20 characters.
Example: 9876543210

Supported characters:
  • 0-9

string

Customer's email address.

  • Maximum length: 50 characters.
Example: [email protected]

Supported characters:
  • A-Z
  • a-z
  • 0-9
  • +
  • _
  • .
  • -
  • @

billing_address
object

An object that contains the details of the billing address.

shipping_address
object

An object that contains the shipping address details.

string

Customers unique GSTIN.

Example: 28ABCDE1234F2Z6

merchant_metadata
object

An object of key value pair that can be used to store additional information.

  • Each pair cannot exceed 256 characters.
  • Maximum 10 key-value pairs.
Example: "key1": "DD"

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant